local old_weapon_tweak_data = NewRaycastWeaponBase.weapon_tweak_data
function NewRaycastWeaponBase:weapon_tweak_data(...)
    local weapon_tweak_data = old_weapon_tweak_data(self, ...)

    if not self._parts or self._name_id ~= "berthier_m1892" then
        return weapon_tweak_data 
    end

if self._parts.wpn_fps_snp_berthier_m1892_magazine_csrg then
	if self._parts.wpn_fps_snp_berthier_m1892_bolt or wpn_fps_snp_berthier_m1892_bolt_m16_carbine then 
		weapon_tweak_data.weapon_hold = "berthier_chauchat" 
		weapon_tweak_data.animations.reload_name_id = "berthier_chauchat"
	else
		weapon_tweak_data.weapon_hold = "berthier_chauchat_str8" 
		weapon_tweak_data.animations.reload_name_id = "berthier_chauchat_str8"
	end
else
	if self._parts.wpn_fps_snp_berthier_m1892_bolt or wpn_fps_snp_berthier_m1892_bolt_m16_carbine then 
		weapon_tweak_data.weapon_hold = "berthier_m1892" 
		if self._parts.wpn_fps_snp_berthier_m1892_clip_m16 then 
			weapon_tweak_data.animations.reload_name_id = "berthier_m16"
		else
			weapon_tweak_data.animations.reload_name_id = "berthier_m1892" 
		end
	else
		weapon_tweak_data.weapon_hold = "berthier_m1892_str8" 
		if self._parts.wpn_fps_snp_berthier_m1892_clip_m16 then 
			weapon_tweak_data.animations.reload_name_id = "berthier_m16_str8"
		else
			weapon_tweak_data.animations.reload_name_id = "berthier_m1892_str8" 
		end
	end
end
		

		


    return weapon_tweak_data
end